Scavenger is an automated theorem prover based on the new **conflict resolution** calculus,
which lifts some aspects of the conflict-drive clause learning approach used by sat-solvers to
logics with quantifiers. 


### Usage Instructions

You must have [SBT](http://www.scala-sbt.org/release/docs/Getting-Started/Setup.html) (version >= 0.13) installed. SBT automatically downloads all compilers and libraries on which Scavenger depends.

To start SBT, go to Scavenger's home folder using the terminal and run:

```
  $ sbt
```

You can run scavenger within SBT's command line. With the following SBT command, scavenger will be compiled and executed, and a help message will be shown.

```  
  > scavenger --help
```

The following command runs scavenger on the 'examples/problems/CNF/SET006-1.cnfp'. The proof is written to 'refutation.proof'.
  

```
  > scavenger -a CR -f cnfp -o refutation.proof examples/problems/CNF/SET006-1.cnfp
```

To use scavenger from outside SBT, a jar file must be generated by executing the following command within SBT:

```
  > one-jar
```

The generated jar file can be deployed and used like any other java jar file:

```
  $ java -jar scavenger.jar -a CR -f cnfp -o refutation.proof examples/problems/CNF/SET006-1.cnfp
```


### Documentation

The calculus behind Scavenger is described in the [Conflict Resolution paper](https://arxiv.org/abs/1602.04568).



### Stats

[![Build Status](https://gitlab.com/AOSSIE/Scavenger/badges/develop/build.svg)](https://gitlab.com/AOSSIE/Scavenger/commits/develop)
[![Coverage Report](https://gitlab.com/AOSSIE/Scavenger/badges/develop/coverage.svg)](https://gitlab.com/AOSSIE/Scavenger/commits/develop)

[![OpenHub](https://www.ohloh.net/p/ScavengerProver/widgets/project_partner_badge.gif)](https://www.openhub.net/p/ScavengerProver)


### Currently Active Developers

 * [Bruno Woltzenlogel Paleo](https://github.com/Ceilican/)
 * [Daniyar Itegulov](https://github.com/itegulov)
 * [Ezequiel Itegulov](https://github.com/EzequielPostan)


### Job Opportunities

 * [Google Summer of Code]() grants may be available in 2017. If you would like to apply, it is never too early to contact us. 
 * If you would like to do a project, M.Sc. thesis or Ph.D. thesis related to Scavenger, please [contact us](mailto:bruno.wp@gmail.com).


### Communication Channels

 * [Scavenger's Mailinglist for Developers](https://groups.google.com/forum/?fromgroups#!forum/skeptik-dev)

